    Two-dimensional polynomial function.

polynom2d

The maximum order of the polynomial is 2.

>>> create_model_component("polynom2d", "mdl")
>>> print(mdl)

Create a component of the polynom2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.c thawed 1 -3.40282e+38 3.40282e+38 mdl.cy1 thawed 0 -3.40282e+38 3.40282e+38 mdl.cy2 thawed 0 -3.40282e+38 3.40282e+38 mdl.cx1 thawed 0 -3.40282e+38 3.40282e+38 mdl.cx1y1 thawed 0 -3.40282e+38 3.40282e+38 mdl.cx1y2 thawed 0 -3.40282e+38 3.40282e+38 mdl.cx2 thawed 0 -3.40282e+38 3.40282e+38 mdl.cx2y1 thawed 0 -3.40282e+38 3.40282e+38 mdl.cx2y2 thawed 0 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
c
The constant term.
cy1
The coefficient for the x1 term.
cy2
The coefficient for the x1^2 term.
cx1
The coefficient for the x0 term.
cx1y1
The coefficient for the x0 x1 term.
cx1y2
The coefficient for the x0 x1^2 term.
cx2
The coefficient for the x0^2 term.
cx2y1
The coefficient for the x0^2 x1 term.
cx2y2
The coefficient for the x0^2 x1^2 term.

Notes

The functional form of the model for points is:

f(x,x1) = c + cx1 * x0 + cx2 * x0^2 + cy1 * x1 + cy2 * x1^2 + cx1y1 * x0 * x1 + cx1y2 * x0 * x1^2 + cx2y1 * x0^2 * x1 + cx2y2 * x0^2 * x1^2

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023